ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Driver.Errors.Ppr

Contents

- Orphan instances

# Orphan instances

Diagnostic DriverMessage # |

Instance details

Associated Types

type DiagnosticOpts DriverMessage |
Instance details Defined in GHC.Driver.Errors.Ppr type DiagnosticOpts DriverMessage = DriverMessageOpts

Methods

diagnosticMessage :: DiagnosticOpts DriverMessage -> DriverMessage -> DecoratedSDoc #

diagnosticReason :: DriverMessage -> DiagnosticReason #

diagnosticHints :: DriverMessage -> [GhcHint] #

diagnosticCode :: DriverMessage -> Maybe DiagnosticCode #

Diagnostic GhcMessage # |

Instance details

Associated Types

type DiagnosticOpts GhcMessage |
Instance details Defined in GHC.Driver.Errors.Ppr type DiagnosticOpts GhcMessage = GhcMessageOpts

Methods

diagnosticMessage :: DiagnosticOpts GhcMessage -> GhcMessage -> DecoratedSDoc #

diagnosticReason :: GhcMessage -> DiagnosticReason #

diagnosticHints :: GhcMessage -> [GhcHint] #

diagnosticCode :: GhcMessage -> Maybe DiagnosticCode #

HasDefaultDiagnosticOpts DriverMessageOpts # |
Instance details Methods defaultOpts :: DriverMessageOpts #
HasDefaultDiagnosticOpts GhcMessageOpts # |
Instance details Methods defaultOpts :: GhcMessageOpts #